package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 忙闲状态
 */
public enum BusyStateEnum implements IIntegerEnum {

    IDLE(0, "空闲"),

    BUSY(1, "繁忙");

    private Integer value;
    private String display;

    BusyStateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {
        return display;
    }
}
